package com.aurellem.capture.examples;

import java.io.File;
import java.io.IOException;

import jme3test.helloworld.HelloLoop;

import com.aurellem.capture.Capture;
import com.aurellem.capture.IsoTimer;
import com.jme3.app.Application;

public class HelloVideoRecording {

	public static void main(String[] ignore) throws IOException {
		Application app = new HelloLoop();
		File video = File.createTempFile("JME-simple-video", ".avi");
		app.setTimer(new IsoTimer(60));
		Capture.captureVideo(app, video);
		app.start();
		System.out.println(video.getCanonicalPath());
	}
}
